package com.laihua.projecthelper.stringxml

import com.laihua.projecthelper.code.Module
import java.io.File

/**
 * Author: pengjunjing
 * Date: 2022/3/11
 * Description:
 */
data class StringElement(
    // 文件
    val file: File,
    // 所属模块,指的是代码所属的模块
    val belongModule: String,
    // 字符串节点名字
    val attributeName: String,
    // 值
    val value: String,
) {

    /**
     * 被引用的地方
     */
    val refer = mutableSetOf<Module>()

}